POE-Netconf
此内容尚不支持你的语言。
Resources Summary
Section titled “Resources Summary”| YANG Path | get/get-config | edit-config | rpc |
|---|---|---|---|
| /interfaces/{name}/poe | Y | merge, replace, create, delete | — |
| /interfaces/{name}/poe-pd-alive-check | Y | merge, replace, create, delete | — |
| /interfaces/{name}/poe-pd-alive-check/config | Y | merge, replace, create, delete | — |
| /interfaces/{name}/poe-pd-alive-check/state | Y | — | — |
| /poe | Y | merge, replace, create, delete | — |
| reinitialize-poe | — | — | Y |
| show-interface-poe-diagnose | — | — | Y |
| show-interface-poe-status | — | — | Y |
Examples
Section titled “Examples”This chapter provides examples on how to use Netconf to manage POE configurations on AsterNOS devices.
Enable POE For Specified Interface
Section titled “Enable POE For Specified Interface”Request example to Set POE configurations of specified interface via edit-config
<config> <top> <interfaces> <interface> <name>Ethernet1</name> <poe> <enable-mode>enable</enable-mode> <delay>10</delay> <priority>low</priority> <max-power>15w</max-power> <legacy-detect>true</legacy-detect> </poe> </interface> </interfaces> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:239fe0f4-e6fd-41fd-9350-d7d01076f2c3"> <ok/></rpc-reply>Get POE Configurations Of Specified Interface
Section titled “Get POE Configurations Of Specified Interface”Request example to get POE configurations of specified interface via get-config
<filter type="subtree"> <top xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interfaces> <interface> <name>Ethernet1</name> <poe/> </interface> </interfaces> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:642cbaa6-84b7-4fab-9ba6-f3e67d73f1cc"> <data> <top> <interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interface> <name>Ethernet1</name> <poe xmlns="http://asterfusion.com/ns/yang/asternos-poe"> <enable-mode>enable</enable-mode> <delay>10</delay> <priority>low</priority> <max-power>15w</max-power> <legacy-detect>true</legacy-detect> </poe> </interface> </interfaces> </top> </data></rpc-reply>Delete POE Of Specified Interface
Section titled “Delete POE Of Specified Interface”Request example to delete POE configurations of specified interface via edit-config
<config> <top> <interfaces> <interface> <name>Ethernet1</name> <poe operation="delete"/> </interface> </interfaces> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:639e30c3-b6dd-4a43-bdb5-6af477c00ce7"> <ok/></rpc-reply>Bind Time-range To POE Interface
Section titled “Bind Time-range To POE Interface”Request example to create time-range configurations via edit-config
<config> <top> <time-ranges> <time-range operation="create"> <name>bbb</name> <days-in-week>sunday monday</days-in-week> <start>12:00</start> <end>13:30</end> </time-range> </time-ranges> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f77af791-9b4b-412b-9b96-e9b2c4e63317"> <ok/></rpc-reply>Request example to bind time-range to POE interface via edit-config
<config> <top> <interfaces> <interface> <name>Ethernet1</name> <poe operation="merge"> <enable-mode>enable</enable-mode> <delay>100</delay> <priority>high</priority> <max-power>15w</max-power> <legacy-detect>true</legacy-detect> <power-off-time-range>bbb</power-off-time-range> </poe> </interface> </interfaces> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a9c0136e-a55f-452b-809c-e29c633f63df"> <ok/></rpc-reply>Set POE Global Configurations
Section titled “Set POE Global Configurations”The sum of max power for all POE interfaces cannot exceed POE max power.
On the 102S_HPW1 series switch, the max poe_max_power is 150 W; On the 204Y_HPW1 series switch, the max poe_max_power is 370 W. On the 204Y_HPW2 series switch, the max poe_max_power is 740 W. On the 206Y_HPW4 series switch, the max poe_max_power is 1440 W. On the 206Y_HPW8 series switch, the max poe_max_power is 2880 W.
Request example to set POE global poe-max-power via edit-config
<config> <top> <poe> <poe_max_power>150</poe_max_power> </poe> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:639e30c3-b6dd-4a43-bdb5-6af477c00ce7"> <ok/></rpc-reply>Get POE Global Configurations
Section titled “Get POE Global Configurations”Request example to get POE global configurations via get-config
<filter type="subtree"> <top> <poe/> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:93541c7b-26b8-4b5d-b164-9d247c8177bf"> <data> <top> <poe xmlns="http://asterfusion.com/ns/yang/asternos-poe"> <poe_max_power>150</poe_max_power> </poe> </top> </data></rpc-reply>Delete POE Configurations
Section titled “Delete POE Configurations”Request example to delete POE global configurations via edit-config
<config> <top> <poe operation="delete"/> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:cdabecf2-d2b5-4eb7-9cbb-47542a1086d4"> <ok/></rpc-reply>Reinitialize POE
Section titled “Reinitialize POE”Request example to reinitialize POE via rpc reinitialize-poe
<reinitialize-poe/>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:b14004b7-1fa4-4467-8232-83af39c85555"> <data xmlns="http://asterfusion.com/ns/yang/asternos-poe"> Restore poe to factory setting Reinitalize poe finished Recover poe finished </data></rpc-reply>Display Interface POE Initialization Information
Section titled “Display Interface POE Initialization Information”Request example to display interface POE initialization information via rpc show-interface-poe-diagnose
<show-interface-poe-diagnose/>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:cb81abe4-1361-4e64-8b2a-9511ee84e83e"> <data xmlns="http://asterfusion.com/ns/yang/asternos-poe"> PSE device information: field value ----------------- ------------------------------------ version 0x5a42 status OK Expected PoE device Found (Zone1) event temperature 37 C temperature-alarm 110 C reset-count 0 initialized True PSE wrong port map: Interface Current Id Expect Id ----------- ------------ ----------- </data></rpc-reply>Display Interface POE Status
Section titled “Display Interface POE Status”Request example to display interface POE status via rpc show-interface-poe-status
<show-interface-poe-status/>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:5ce6021c-da52-43a2-8e55-774796e37a65"> <data xmlns="http://asterfusion.com/ns/yang/asternos-poe"> Interface poe_status Poe_delay Current(A) Voltage(V) Power(W) MaxPower(W) Power/MaxPower Power/DevicePSU Legacy_detect ----------- ------------ ----------- ------------ ------------ ---------- ------------- ---------------- ----------------- --------------- Ethernet1 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet2 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet3 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet4 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet5 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet6 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet7 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet8 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet9 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet10 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet11 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet12 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet13 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet14 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet15 N/A N/A N/A N/A N/A N/A N/A N/A N/A Ethernet16 N/A N/A N/A N/A N/A N/A N/A N/A N/A ----------- ------------ ----------- ------------ ------------ ---------- ------------- ---------------- ----------------- --------------- The sum of the above POEs power is: 0.000 w The maximum POEs power of the device is 150W, the ratio of (sum_POEs_power/maxPOEsPower) is :0.000% </data></rpc-reply>Enable POE PD alive check For Specified Interface
Section titled “Enable POE PD alive check For Specified Interface”Request example to Set POE PD alive check configurations of specified interface via edit-config
<config> <top> <interfaces> <interface> <name>Ethernet1</name> <poe-pd-alive-check> <config operation="create"> <mode>enable</mode> <pd-ip>192.168.0.1</pd-ip> <delay>5</delay> <interval>10</interval> <err-threshold>3</err-threshold> <action>reboot</action> <reboot-interval>60</reboot-interval> </config> </poe-pd-alive-check> </interface> </interfaces> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:239fe0f4-e6fd-41fd-9350-d7d01076f2c3"> <ok/></rpc-reply>Get POE PD alive check Configurations Of Specified Interface
Section titled “Get POE PD alive check Configurations Of Specified Interface”Request example to get POE PD alive check configurations of specified interface via get-config
<filter type="subtree"> <top xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interfaces> <interface> <name>Ethernet1</name> <poe-pd-alive-check> <config/> </poe-pd-alive-check> </interface> </interfaces> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:642cbaa6-84b7-4fab-9ba6-f3e67d73f1cc"> <data> <top> <interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interface> <name>Ethernet1</name> <poe-pd-alive-check xmlns="http://asterfusion.com/ns/yang/asternos-poe"> <config> <mode>enable</mode> <pd-ip>192.168.0.1</pd-ip> <delay>5</delay> <interval>10</interval> <err-threshold>3</err-threshold> <action>reboot</action> <reboot-interval>60</reboot-interval> </config> </poe-pd-alive-check> </interface> </interfaces> </top> </data></rpc-reply>Get POE PD alive check status Of Specified Interface
Section titled “Get POE PD alive check status Of Specified Interface”Request example to get POE PD alive check status of specified interface via get
<filter type="subtree"> <top xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interfaces> <interface> <name>Ethernet1</name> <poe-pd-alive-check> <state/> </poe-pd-alive-check> </interface> </interfaces> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:642cbaa6-84b7-4fab-9ba6-f3e67d73f1cc"> <data> <top> <interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces"> <interface> <name>Ethernet1</name> <poe-pd-alive-check xmlns="http://asterfusion.com/ns/yang/asternos-poe"> <state> <err-count>1</err-count> <alive>true</alive> </state> </poe-pd-alive-check> </interface> </interfaces> </top> </data></rpc-reply>Delete POE PD alive check Of Specified Interface
Section titled “Delete POE PD alive check Of Specified Interface”Request example to delete POE PD alive check configurations of specified interface via edit-config
<config> <top> <interfaces> <interface> <name>Ethernet1</name> <poe-pd-alive-check> <config operation="delete"/> </poe-pd-alive-check> </interface> </interfaces> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:639e30c3-b6dd-4a43-bdb5-6af477c00ce7"> <ok/></rpc-reply>Properties Descriptions
Section titled “Properties Descriptions”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-checkPoe Pd Alive Check
Section titled “Poe Pd Alive Check”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-checkConfig
Section titled “Config”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-checkTree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-checkConfig the global POE setting for device
Section titled “Config the global POE setting for device”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe +--rw poe +--rw poe_max_power? uint32
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-checkTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| poe | M | Path-only node, has no configurable value. Config the global POE setting for device | |
| poe_max_power | O | 1..2880 | Set max poe power supply of the system. This operation may power off some PD. 102S_HPW1 series: 1..150. 204Y_HPW1 series: 1..370. 204Y_HPW2 series: 1..740. 206Y_HPW4 series: 1..1440. 206Y_HPW8 series: 1..2880. |
Reinitialize Poe
Section titled “Reinitialize Poe”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-check
rpcs: +---x reinitialize-poe +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| reinitialize-poe | O | ||
| data | O | The status of the this operation. |
Show Interface Poe Diagnose
Section titled “Show Interface Poe Diagnose”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-check
rpcs: +---x show-interface-poe-diagnose +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-interface-poe-diagnose | O | ||
| data | O | A table that shows POE initialization information |
Show Interface Poe Status
Section titled “Show Interface Poe Status”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-poe.yang:6: warning: imported module "asternos-common" not usedmodule: asternos-poe
augment /if:interfaces/if:interface: +--rw poe +--rw poe-pd-alive-check
rpcs: +---x show-interface-poe-status +---w input | +---w detail? boolean +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-interface-poe-status | O | ||
| detail | O | ”true" "false” | Display detailed poe information. |
| data | O | A table that shows status of poe interface |